Skip to content

Reviewer Profiles

Operations Summary

Method Endpoint Description
GET /api/reviewer-profiles/{reviewer_profile_uuid}/affiliations/ Affiliations
GET /api/reviewer-profiles/{reviewer_profile_uuid}/affiliations/{uuid}/ Retrieve
GET /api/reviewer-profiles/{reviewer_profile_uuid}/expertise/ Expertise
GET /api/reviewer-profiles/{reviewer_profile_uuid}/expertise/{uuid}/ Retrieve
GET /api/reviewer-profiles/{reviewer_profile_uuid}/publications/ Publications
GET /api/reviewer-profiles/{reviewer_profile_uuid}/publications/{uuid}/ Retrieve
GET /api/reviewer-profiles/{uuid}/connect-orcid/ Get ORCID OAuth authorization URL
GET /api/reviewer-profiles/ List Reviewer Profiles
GET /api/reviewer-profiles/me/ Get or create reviewer profile for the current user
GET /api/reviewer-profiles/{uuid}/ Retrieve
POST /api/reviewer-profiles/{reviewer_profile_uuid}/affiliations/ Affiliations
POST /api/reviewer-profiles/{reviewer_profile_uuid}/expertise/ Expertise
POST /api/reviewer-profiles/{reviewer_profile_uuid}/publications/ Publications
POST /api/reviewer-profiles/{uuid}/connect-orcid/callback/ Complete ORCID OAuth connection with authorization code
POST /api/reviewer-profiles/ Create
POST /api/reviewer-profiles/{uuid}/disconnect-orcid/ Disconnect ORCID from profile
POST /api/reviewer-profiles/{uuid}/import-publications/ Import publications from ORCID or other sources
POST /api/reviewer-profiles/me/ Get or create reviewer profile for the current user
POST /api/reviewer-profiles/publish/ Publish
POST /api/reviewer-profiles/{uuid}/sync-orcid/ Sync profile data from ORCID
POST /api/reviewer-profiles/unpublish/ Unpublish reviewer profile to remove it from discovery
PUT /api/reviewer-profiles/{reviewer_profile_uuid}/affiliations/{uuid}/ Update
PUT /api/reviewer-profiles/{reviewer_profile_uuid}/expertise/{uuid}/ Update
PUT /api/reviewer-profiles/{reviewer_profile_uuid}/publications/{uuid}/ Update
PUT /api/reviewer-profiles/{uuid}/ Update
PATCH /api/reviewer-profiles/{reviewer_profile_uuid}/affiliations/{uuid}/ Partial Update
PATCH /api/reviewer-profiles/{reviewer_profile_uuid}/expertise/{uuid}/ Partial Update
PATCH /api/reviewer-profiles/{reviewer_profile_uuid}/publications/{uuid}/ Partial Update
PATCH /api/reviewer-profiles/me/ Get or create reviewer profile for the current user
PATCH /api/reviewer-profiles/{uuid}/ Partial Update
DELETE /api/reviewer-profiles/{reviewer_profile_uuid}/affiliations/{uuid}/ Delete
DELETE /api/reviewer-profiles/{reviewer_profile_uuid}/expertise/{uuid}/ Delete
DELETE /api/reviewer-profiles/{reviewer_profile_uuid}/publications/{uuid}/ Delete
DELETE /api/reviewer-profiles/{uuid}/ Delete

Affiliations

1
2
3
4
http \
  GET \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/affiliations/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_affiliations_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = nested_reviewer_profile_affiliations_list.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

for item in response:
    print(item)
  1. API Source: nested_reviewer_profile_affiliations_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { nestedReviewerProfileAffiliationsList } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfileAffiliationsList({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
uuid string (uuid)
organization string (uuid)
organization_name string Organization name (used when not linked to Waldur org)
organization_name_display string Return organization name from linked Customer or from the text field.
organization_identifier string ROR, GRID, or other external identifier
department string
position_title string
start_date string (date)
end_date string (date) Leave empty for current affiliation
is_primary boolean
affiliation_type string
Enum: employment, education, visiting, honorary, consulting
created string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/affiliations/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_affiliations_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = nested_reviewer_profile_affiliations_retrieve.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: nested_reviewer_profile_affiliations_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { nestedReviewerProfileAffiliationsRetrieve } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfileAffiliationsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
uuid string (uuid)

200 -

Field Type Description
uuid string (uuid)
organization string (uuid)
organization_name string Organization name (used when not linked to Waldur org)
organization_name_display string Return organization name from linked Customer or from the text field.
organization_identifier string ROR, GRID, or other external identifier
department string
position_title string
start_date string (date)
end_date string (date) Leave empty for current affiliation
is_primary boolean
affiliation_type string
Enum: employment, education, visiting, honorary, consulting
created string (date-time)

Expertise

1
2
3
4
http \
  GET \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/expertise/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_expertise_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = nested_reviewer_profile_expertise_list.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

for item in response:
    print(item)
  1. API Source: nested_reviewer_profile_expertise_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { nestedReviewerProfileExpertiseList } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfileExpertiseList({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
uuid string (uuid)
expertise_keyword string Free-text keyword
expertise_category string (uuid)
expertise_category_name string
proficiency_level string
Enum: expert, familiar, basic
years_experience integer
last_active_date string (date) When last worked in this area
created string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/expertise/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_expertise_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = nested_reviewer_profile_expertise_retrieve.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: nested_reviewer_profile_expertise_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { nestedReviewerProfileExpertiseRetrieve } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfileExpertiseRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
uuid string (uuid)

200 -

Field Type Description
uuid string (uuid)
expertise_keyword string Free-text keyword
expertise_category string (uuid)
expertise_category_name string
proficiency_level string
Enum: expert, familiar, basic
years_experience integer
last_active_date string (date) When last worked in this area
created string (date-time)

Publications

1
2
3
4
http \
  GET \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/publications/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_publications_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = nested_reviewer_profile_publications_list.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

for item in response:
    print(item)
  1. API Source: nested_reviewer_profile_publications_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { nestedReviewerProfilePublicationsList } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfilePublicationsList({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
uuid string (uuid)
title string
doi string Digital Object Identifier
publication_year integer
venue string Journal or conference name
venue_type string
Enum: journal, conference, preprint, book, thesis, report, other
abstract string
coauthors any List of co-author names and identifiers
external_ids any External identifiers:
is_excluded_from_matching boolean User can exclude old papers from expertise matching
created string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/publications/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_publications_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = nested_reviewer_profile_publications_retrieve.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: nested_reviewer_profile_publications_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { nestedReviewerProfilePublicationsRetrieve } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfilePublicationsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
uuid string (uuid)

200 -

Field Type Description
uuid string (uuid)
title string
doi string Digital Object Identifier
publication_year integer
venue string Journal or conference name
venue_type string
Enum: journal, conference, preprint, book, thesis, report, other
abstract string
coauthors any List of co-author names and identifiers
external_ids any External identifiers:
is_excluded_from_matching boolean User can exclude old papers from expertise matching
created string (date-time)

Get ORCID OAuth authorization URL

Get ORCID OAuth authorization URL.

1
2
3
4
http \
  GET \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/connect-orcid/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.reviewer_profiles import reviewer_profiles_connect_orcid_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = reviewer_profiles_connect_orcid_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: reviewer_profiles_connect_orcid_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { reviewerProfilesConnectOrcidRetrieve } from 'waldur-js-client';

try {
  const response = await reviewerProfilesConnectOrcidRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type
authorization_url string

List Reviewer Profiles

1
2
3
4
http \
  GET \
  https://api.example.com/api/reviewer-profiles/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.reviewer_profile_o_enum import ReviewerProfileOEnum # (1)
from waldur_api_client.api.reviewer_profiles import reviewer_profiles_list # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = reviewer_profiles_list.sync(client=client)

for item in response:
    print(item)
  1. Model Source: ReviewerProfileOEnum
  2. API Source: reviewer_profiles_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { reviewerProfilesList } from 'waldur-js-client';

try {
  const response = await reviewerProfilesList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
expertise_category_uuid string (uuid)
expertise_keyword string
has_orcid boolean
o array Ordering

orcid_id string
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
user_email string
user_name string
user_uuid string (uuid)

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
url string (uri)
uuid string (uuid)
user string (uri)
user_uuid string (uuid)
user_full_name string
user_email string (email)
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
orcid_connected boolean Check if ORCID is connected (has access token).
orcid_last_sync string (date-time)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
affiliations array of objects
affiliations.uuid string (uuid)
affiliations.organization string (uuid)
affiliations.organization_name string Organization name (used when not linked to Waldur org)
affiliations.organization_name_display string Return organization name from linked Customer or from the text field.
affiliations.organization_identifier string ROR, GRID, or other external identifier
affiliations.department string
affiliations.position_title string
affiliations.start_date string (date)
affiliations.end_date string (date) Leave empty for current affiliation
affiliations.is_primary boolean
affiliations.affiliation_type string
Enum: employment, education, visiting, honorary, consulting
affiliations.created string (date-time)
expertise_set array of objects
expertise_set.uuid string (uuid)
expertise_set.expertise_keyword string Free-text keyword
expertise_set.expertise_category string (uuid)
expertise_set.expertise_category_name string
expertise_set.proficiency_level string
Enum: expert, familiar, basic
expertise_set.years_experience integer
expertise_set.last_active_date string (date) When last worked in this area
expertise_set.created string (date-time)
publications array of objects
publications.uuid string (uuid)
publications.title string
publications.doi string Digital Object Identifier
publications.publication_year integer
publications.venue string Journal or conference name
publications.venue_type string
Enum: journal, conference, preprint, book, thesis, report, other
publications.abstract string
publications.coauthors any List of co-author names and identifiers
publications.external_ids any External identifiers:
publications.is_excluded_from_matching boolean User can exclude old papers from expertise matching
publications.created string (date-time)
stats any
profile_completeness object (free-form) Calculate profile completeness percentage and missing fields.
is_published boolean Whether profile is discoverable by call managers
published_at string (date-time) When the profile was published
available_for_reviews boolean Whether reviewer is currently accepting review requests
created string (date-time)
modified string (date-time)

Get or create reviewer profile for the current user

Get or create reviewer profile for the current user.

1
2
3
4
http \
  GET \
  https://api.example.com/api/reviewer-profiles/me/ \
  Authorization:"Token YOUR_API_TOKEN"
1
2
3
4
5
6
7
8
9
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.reviewer_profiles import reviewer_profiles_me_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = reviewer_profiles_me_retrieve.sync(client=client)

print(response)
  1. API Source: reviewer_profiles_me_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { reviewerProfilesMeRetrieve } from 'waldur-js-client';

try {
  const response = await reviewerProfilesMeRetrieve({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}

200 -

Field Type Description
url string (uri)
uuid string (uuid)
user string (uri)
user_uuid string (uuid)
user_full_name string
user_email string (email)
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
orcid_connected boolean Check if ORCID is connected (has access token).
orcid_last_sync string (date-time)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
affiliations array of objects
affiliations.uuid string (uuid)
affiliations.organization string (uuid)
affiliations.organization_name string Organization name (used when not linked to Waldur org)
affiliations.organization_name_display string Return organization name from linked Customer or from the text field.
affiliations.organization_identifier string ROR, GRID, or other external identifier
affiliations.department string
affiliations.position_title string
affiliations.start_date string (date)
affiliations.end_date string (date) Leave empty for current affiliation
affiliations.is_primary boolean
affiliations.affiliation_type string
Enum: employment, education, visiting, honorary, consulting
affiliations.created string (date-time)
expertise_set array of objects
expertise_set.uuid string (uuid)
expertise_set.expertise_keyword string Free-text keyword
expertise_set.expertise_category string (uuid)
expertise_set.expertise_category_name string
expertise_set.proficiency_level string
Enum: expert, familiar, basic
expertise_set.years_experience integer
expertise_set.last_active_date string (date) When last worked in this area
expertise_set.created string (date-time)
publications array of objects
publications.uuid string (uuid)
publications.title string
publications.doi string Digital Object Identifier
publications.publication_year integer
publications.venue string Journal or conference name
publications.venue_type string
Enum: journal, conference, preprint, book, thesis, report, other
publications.abstract string
publications.coauthors any List of co-author names and identifiers
publications.external_ids any External identifiers:
publications.is_excluded_from_matching boolean User can exclude old papers from expertise matching
publications.created string (date-time)
stats any
profile_completeness object (free-form) Calculate profile completeness percentage and missing fields.
is_published boolean Whether profile is discoverable by call managers
published_at string (date-time) When the profile was published
available_for_reviews boolean Whether reviewer is currently accepting review requests
created string (date-time)
modified string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.reviewer_profiles import reviewer_profiles_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = reviewer_profiles_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: reviewer_profiles_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { reviewerProfilesRetrieve } from 'waldur-js-client';

try {
  const response = await reviewerProfilesRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
user string (uri)
user_uuid string (uuid)
user_full_name string
user_email string (email)
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
orcid_connected boolean Check if ORCID is connected (has access token).
orcid_last_sync string (date-time)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
affiliations array of objects
affiliations.uuid string (uuid)
affiliations.organization string (uuid)
affiliations.organization_name string Organization name (used when not linked to Waldur org)
affiliations.organization_name_display string Return organization name from linked Customer or from the text field.
affiliations.organization_identifier string ROR, GRID, or other external identifier
affiliations.department string
affiliations.position_title string
affiliations.start_date string (date)
affiliations.end_date string (date) Leave empty for current affiliation
affiliations.is_primary boolean
affiliations.affiliation_type string
Enum: employment, education, visiting, honorary, consulting
affiliations.created string (date-time)
expertise_set array of objects
expertise_set.uuid string (uuid)
expertise_set.expertise_keyword string Free-text keyword
expertise_set.expertise_category string (uuid)
expertise_set.expertise_category_name string
expertise_set.proficiency_level string
Enum: expert, familiar, basic
expertise_set.years_experience integer
expertise_set.last_active_date string (date) When last worked in this area
expertise_set.created string (date-time)
publications array of objects
publications.uuid string (uuid)
publications.title string
publications.doi string Digital Object Identifier
publications.publication_year integer
publications.venue string Journal or conference name
publications.venue_type string
Enum: journal, conference, preprint, book, thesis, report, other
publications.abstract string
publications.coauthors any List of co-author names and identifiers
publications.external_ids any External identifiers:
publications.is_excluded_from_matching boolean User can exclude old papers from expertise matching
publications.created string (date-time)
stats any
profile_completeness object (free-form) Calculate profile completeness percentage and missing fields.
is_published boolean Whether profile is discoverable by call managers
published_at string (date-time) When the profile was published
available_for_reviews boolean Whether reviewer is currently accepting review requests
created string (date-time)
modified string (date-time)

Affiliations

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/affiliations/ \
  Authorization:"Token YOUR_API_TOKEN" \
  organization_name="string-value"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.reviewer_affiliation_request import ReviewerAffiliationRequest # (1)
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_affiliations_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewerAffiliationRequest(
    organization_name="string-value"
)
response = nested_reviewer_profile_affiliations_create.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewerAffiliationRequest
  2. API Source: nested_reviewer_profile_affiliations_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { nestedReviewerProfileAffiliationsCreate } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfileAffiliationsCreate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "organization_name": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
Field Type Required Description
organization string (uuid)
organization_name string Organization name (used when not linked to Waldur org)
organization_identifier string ROR, GRID, or other external identifier
department string
position_title string
start_date string (date)
end_date string (date) Leave empty for current affiliation
is_primary boolean
affiliation_type string
Enum: employment, education, visiting, honorary, consulting

201 -

Field Type Description
uuid string (uuid)
organization string (uuid)
organization_name string Organization name (used when not linked to Waldur org)
organization_name_display string Return organization name from linked Customer or from the text field.
organization_identifier string ROR, GRID, or other external identifier
department string
position_title string
start_date string (date)
end_date string (date) Leave empty for current affiliation
is_primary boolean
affiliation_type string
Enum: employment, education, visiting, honorary, consulting
created string (date-time)

Expertise

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/expertise/ \
  Authorization:"Token YOUR_API_TOKEN" \
  expertise_keyword="string-value"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.reviewer_expertise_request import ReviewerExpertiseRequest # (1)
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_expertise_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewerExpertiseRequest(
    expertise_keyword="string-value"
)
response = nested_reviewer_profile_expertise_create.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewerExpertiseRequest
  2. API Source: nested_reviewer_profile_expertise_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { nestedReviewerProfileExpertiseCreate } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfileExpertiseCreate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "expertise_keyword": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
Field Type Required Description
expertise_keyword string Free-text keyword
expertise_category string (uuid)
proficiency_level string
Enum: expert, familiar, basic
years_experience integer
last_active_date string (date) When last worked in this area

201 -

Field Type Description
uuid string (uuid)
expertise_keyword string Free-text keyword
expertise_category string (uuid)
expertise_category_name string
proficiency_level string
Enum: expert, familiar, basic
years_experience integer
last_active_date string (date) When last worked in this area
created string (date-time)

Publications

1
2
3
4
5
6
7
http \
  POST \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/publications/ \
  Authorization:"Token YOUR_API_TOKEN" \
  title="string-value" \
  publication_year=123 \
  venue="string-value"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.reviewer_publication_request import ReviewerPublicationRequest # (1)
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_publications_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewerPublicationRequest(
    title="string-value",
    publication_year=123,
    venue="string-value"
)
response = nested_reviewer_profile_publications_create.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewerPublicationRequest
  2. API Source: nested_reviewer_profile_publications_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
import { nestedReviewerProfilePublicationsCreate } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfilePublicationsCreate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "title": "string-value",
    "publication_year": 123,
    "venue": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
Field Type Required Description
title string
doi string Digital Object Identifier
publication_year integer
venue string Journal or conference name
venue_type string
Enum: journal, conference, preprint, book, thesis, report, other
abstract string
coauthors any List of co-author names and identifiers
external_ids any External identifiers:
is_excluded_from_matching boolean User can exclude old papers from expertise matching

201 -

Field Type Description
uuid string (uuid)
title string
doi string Digital Object Identifier
publication_year integer
venue string Journal or conference name
venue_type string
Enum: journal, conference, preprint, book, thesis, report, other
abstract string
coauthors any List of co-author names and identifiers
external_ids any External identifiers:
is_excluded_from_matching boolean User can exclude old papers from expertise matching
created string (date-time)

Complete ORCID OAuth connection with authorization code

Complete ORCID OAuth connection with authorization code.

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/connect-orcid/callback/ \
  Authorization:"Token YOUR_API_TOKEN" \
  code="string-value"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.orcid_callback_request import OrcidCallbackRequest # (1)
from waldur_api_client.api.reviewer_profiles import reviewer_profiles_connect_orcid_callback # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = OrcidCallbackRequest(
    code="string-value"
)
response = reviewer_profiles_connect_orcid_callback.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: OrcidCallbackRequest
  2. API Source: reviewer_profiles_connect_orcid_callback
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { reviewerProfilesConnectOrcidCallback } from 'waldur-js-client';

try {
  const response = await reviewerProfilesConnectOrcidCallback({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "code": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
code string Authorization code from ORCID OAuth callback
state string State token for CSRF protection

200 -

Field Type Description
url string (uri)
uuid string (uuid)
user string (uri)
user_uuid string (uuid)
user_full_name string
user_email string (email)
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
orcid_connected boolean Check if ORCID is connected (has access token).
orcid_last_sync string (date-time)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
affiliations array of objects
affiliations.uuid string (uuid)
affiliations.organization string (uuid)
affiliations.organization_name string Organization name (used when not linked to Waldur org)
affiliations.organization_name_display string Return organization name from linked Customer or from the text field.
affiliations.organization_identifier string ROR, GRID, or other external identifier
affiliations.department string
affiliations.position_title string
affiliations.start_date string (date)
affiliations.end_date string (date) Leave empty for current affiliation
affiliations.is_primary boolean
affiliations.affiliation_type string
Enum: employment, education, visiting, honorary, consulting
affiliations.created string (date-time)
expertise_set array of objects
expertise_set.uuid string (uuid)
expertise_set.expertise_keyword string Free-text keyword
expertise_set.expertise_category string (uuid)
expertise_set.expertise_category_name string
expertise_set.proficiency_level string
Enum: expert, familiar, basic
expertise_set.years_experience integer
expertise_set.last_active_date string (date) When last worked in this area
expertise_set.created string (date-time)
publications array of objects
publications.uuid string (uuid)
publications.title string
publications.doi string Digital Object Identifier
publications.publication_year integer
publications.venue string Journal or conference name
publications.venue_type string
Enum: journal, conference, preprint, book, thesis, report, other
publications.abstract string
publications.coauthors any List of co-author names and identifiers
publications.external_ids any External identifiers:
publications.is_excluded_from_matching boolean User can exclude old papers from expertise matching
publications.created string (date-time)
stats any
profile_completeness object (free-form) Calculate profile completeness percentage and missing fields.
is_published boolean Whether profile is discoverable by call managers
published_at string (date-time) When the profile was published
available_for_reviews boolean Whether reviewer is currently accepting review requests
created string (date-time)
modified string (date-time)

Create

1
2
3
4
http \
  POST \
  https://api.example.com/api/reviewer-profiles/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.reviewer_profile_request import ReviewerProfileRequest # (1)
from waldur_api_client.api.reviewer_profiles import reviewer_profiles_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewerProfileRequest()
response = reviewer_profiles_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewerProfileRequest
  2. API Source: reviewer_profiles_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { reviewerProfilesCreate } from 'waldur-js-client';

try {
  const response = await reviewerProfilesCreate({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
available_for_reviews boolean Whether reviewer is currently accepting review requests

201 -

Field Type Description
url string (uri)
uuid string (uuid)
user string (uri)
user_uuid string (uuid)
user_full_name string
user_email string (email)
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
orcid_connected boolean Check if ORCID is connected (has access token).
orcid_last_sync string (date-time)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
affiliations array of objects
affiliations.uuid string (uuid)
affiliations.organization string (uuid)
affiliations.organization_name string Organization name (used when not linked to Waldur org)
affiliations.organization_name_display string Return organization name from linked Customer or from the text field.
affiliations.organization_identifier string ROR, GRID, or other external identifier
affiliations.department string
affiliations.position_title string
affiliations.start_date string (date)
affiliations.end_date string (date) Leave empty for current affiliation
affiliations.is_primary boolean
affiliations.affiliation_type string
Enum: employment, education, visiting, honorary, consulting
affiliations.created string (date-time)
expertise_set array of objects
expertise_set.uuid string (uuid)
expertise_set.expertise_keyword string Free-text keyword
expertise_set.expertise_category string (uuid)
expertise_set.expertise_category_name string
expertise_set.proficiency_level string
Enum: expert, familiar, basic
expertise_set.years_experience integer
expertise_set.last_active_date string (date) When last worked in this area
expertise_set.created string (date-time)
publications array of objects
publications.uuid string (uuid)
publications.title string
publications.doi string Digital Object Identifier
publications.publication_year integer
publications.venue string Journal or conference name
publications.venue_type string
Enum: journal, conference, preprint, book, thesis, report, other
publications.abstract string
publications.coauthors any List of co-author names and identifiers
publications.external_ids any External identifiers:
publications.is_excluded_from_matching boolean User can exclude old papers from expertise matching
publications.created string (date-time)
stats any
profile_completeness object (free-form) Calculate profile completeness percentage and missing fields.
is_published boolean Whether profile is discoverable by call managers
published_at string (date-time) When the profile was published
available_for_reviews boolean Whether reviewer is currently accepting review requests
created string (date-time)
modified string (date-time)

Disconnect ORCID from profile

Disconnect ORCID from profile.

1
2
3
4
http \
  POST \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/disconnect-orcid/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.reviewer_profile_request import ReviewerProfileRequest # (1)
from waldur_api_client.api.reviewer_profiles import reviewer_profiles_disconnect_orcid # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewerProfileRequest()
response = reviewer_profiles_disconnect_orcid.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewerProfileRequest
  2. API Source: reviewer_profiles_disconnect_orcid
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { reviewerProfilesDisconnectOrcid } from 'waldur-js-client';

try {
  const response = await reviewerProfilesDisconnectOrcid({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
available_for_reviews boolean Whether reviewer is currently accepting review requests

200 -

Field Type
detail string

Import publications from ORCID or other sources

Import publications from ORCID or other sources.

1
2
3
4
http \
  POST \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/import-publications/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.import_publications_request import ImportPublicationsRequest # (1)
from waldur_api_client.api.reviewer_profiles import reviewer_profiles_import_publications # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ImportPublicationsRequest()
response = reviewer_profiles_import_publications.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ImportPublicationsRequest
  2. API Source: reviewer_profiles_import_publications
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { reviewerProfilesImportPublications } from 'waldur-js-client';

try {
  const response = await reviewerProfilesImportPublications({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
source any Source to import publications from
Constraints: default: orcid
doi string DOI of publication to import (required if source is 'doi')

200 -

Field Type
imported_count integer

Get or create reviewer profile for the current user

Get or create reviewer profile for the current user.

1
2
3
4
http \
  POST \
  https://api.example.com/api/reviewer-profiles/me/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.reviewer_profile_create_request import ReviewerProfileCreateRequest # (1)
from waldur_api_client.api.reviewer_profiles import reviewer_profiles_me # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewerProfileCreateRequest()
response = reviewer_profiles_me.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewerProfileCreateRequest
  2. API Source: reviewer_profiles_me
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { reviewerProfilesMe } from 'waldur-js-client';

try {
  const response = await reviewerProfilesMe({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
available_for_reviews boolean Whether reviewer is currently accepting review requests

200 -

Field Type Description
url string (uri)
uuid string (uuid)
user string (uri)
user_uuid string (uuid)
user_full_name string
user_email string (email)
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
orcid_connected boolean Check if ORCID is connected (has access token).
orcid_last_sync string (date-time)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
affiliations array of objects
affiliations.uuid string (uuid)
affiliations.organization string (uuid)
affiliations.organization_name string Organization name (used when not linked to Waldur org)
affiliations.organization_name_display string Return organization name from linked Customer or from the text field.
affiliations.organization_identifier string ROR, GRID, or other external identifier
affiliations.department string
affiliations.position_title string
affiliations.start_date string (date)
affiliations.end_date string (date) Leave empty for current affiliation
affiliations.is_primary boolean
affiliations.affiliation_type string
Enum: employment, education, visiting, honorary, consulting
affiliations.created string (date-time)
expertise_set array of objects
expertise_set.uuid string (uuid)
expertise_set.expertise_keyword string Free-text keyword
expertise_set.expertise_category string (uuid)
expertise_set.expertise_category_name string
expertise_set.proficiency_level string
Enum: expert, familiar, basic
expertise_set.years_experience integer
expertise_set.last_active_date string (date) When last worked in this area
expertise_set.created string (date-time)
publications array of objects
publications.uuid string (uuid)
publications.title string
publications.doi string Digital Object Identifier
publications.publication_year integer
publications.venue string Journal or conference name
publications.venue_type string
Enum: journal, conference, preprint, book, thesis, report, other
publications.abstract string
publications.coauthors any List of co-author names and identifiers
publications.external_ids any External identifiers:
publications.is_excluded_from_matching boolean User can exclude old papers from expertise matching
publications.created string (date-time)
stats any
profile_completeness object (free-form) Calculate profile completeness percentage and missing fields.
is_published boolean Whether profile is discoverable by call managers
published_at string (date-time) When the profile was published
available_for_reviews boolean Whether reviewer is currently accepting review requests
created string (date-time)
modified string (date-time)

Publish

Publish reviewer profile for discovery by call managers. Warning: Publishing makes your full profile visible to call managers globally.

1
2
3
4
http \
  POST \
  https://api.example.com/api/reviewer-profiles/publish/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.reviewer_profile_request import ReviewerProfileRequest # (1)
from waldur_api_client.api.reviewer_profiles import reviewer_profiles_publish # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewerProfileRequest()
response = reviewer_profiles_publish.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewerProfileRequest
  2. API Source: reviewer_profiles_publish
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { reviewerProfilesPublish } from 'waldur-js-client';

try {
  const response = await reviewerProfilesPublish({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
available_for_reviews boolean Whether reviewer is currently accepting review requests

200 -

Field Type
is_published boolean
published_at string (date-time)
warning string

Sync profile data from ORCID

Sync profile data from ORCID.

1
2
3
4
http \
  POST \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/sync-orcid/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.reviewer_profile_request import ReviewerProfileRequest # (1)
from waldur_api_client.api.reviewer_profiles import reviewer_profiles_sync_orcid # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewerProfileRequest()
response = reviewer_profiles_sync_orcid.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewerProfileRequest
  2. API Source: reviewer_profiles_sync_orcid
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { reviewerProfilesSyncOrcid } from 'waldur-js-client';

try {
  const response = await reviewerProfilesSyncOrcid({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
available_for_reviews boolean Whether reviewer is currently accepting review requests

200 -

Field Type
imported object (free-form)
last_sync string (date-time)

Unpublish reviewer profile to remove it from discovery

Unpublish reviewer profile to remove it from discovery.

1
2
3
4
http \
  POST \
  https://api.example.com/api/reviewer-profiles/unpublish/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.reviewer_profile_request import ReviewerProfileRequest # (1)
from waldur_api_client.api.reviewer_profiles import reviewer_profiles_unpublish # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewerProfileRequest()
response = reviewer_profiles_unpublish.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewerProfileRequest
  2. API Source: reviewer_profiles_unpublish
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { reviewerProfilesUnpublish } from 'waldur-js-client';

try {
  const response = await reviewerProfilesUnpublish({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
available_for_reviews boolean Whether reviewer is currently accepting review requests

200 -

Field Type
is_published boolean
detail string

Update

1
2
3
4
5
http \
  PUT \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/affiliations/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN" \
  organization_name="string-value"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.reviewer_affiliation_request import ReviewerAffiliationRequest # (1)
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_affiliations_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewerAffiliationRequest(
    organization_name="string-value"
)
response = nested_reviewer_profile_affiliations_update.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewerAffiliationRequest
  2. API Source: nested_reviewer_profile_affiliations_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
import { nestedReviewerProfileAffiliationsUpdate } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfileAffiliationsUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "organization_name": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
uuid string (uuid)
Field Type Required Description
organization string (uuid)
organization_name string Organization name (used when not linked to Waldur org)
organization_identifier string ROR, GRID, or other external identifier
department string
position_title string
start_date string (date)
end_date string (date) Leave empty for current affiliation
is_primary boolean
affiliation_type string
Enum: employment, education, visiting, honorary, consulting

200 -

Field Type Description
uuid string (uuid)
organization string (uuid)
organization_name string Organization name (used when not linked to Waldur org)
organization_name_display string Return organization name from linked Customer or from the text field.
organization_identifier string ROR, GRID, or other external identifier
department string
position_title string
start_date string (date)
end_date string (date) Leave empty for current affiliation
is_primary boolean
affiliation_type string
Enum: employment, education, visiting, honorary, consulting
created string (date-time)

Update

1
2
3
4
5
http \
  PUT \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/expertise/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN" \
  expertise_keyword="string-value"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.reviewer_expertise_request import ReviewerExpertiseRequest # (1)
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_expertise_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewerExpertiseRequest(
    expertise_keyword="string-value"
)
response = nested_reviewer_profile_expertise_update.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewerExpertiseRequest
  2. API Source: nested_reviewer_profile_expertise_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
import { nestedReviewerProfileExpertiseUpdate } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfileExpertiseUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "expertise_keyword": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
uuid string (uuid)
Field Type Required Description
expertise_keyword string Free-text keyword
expertise_category string (uuid)
proficiency_level string
Enum: expert, familiar, basic
years_experience integer
last_active_date string (date) When last worked in this area

200 -

Field Type Description
uuid string (uuid)
expertise_keyword string Free-text keyword
expertise_category string (uuid)
expertise_category_name string
proficiency_level string
Enum: expert, familiar, basic
years_experience integer
last_active_date string (date) When last worked in this area
created string (date-time)

Update

1
2
3
4
5
6
7
http \
  PUT \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/publications/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN" \
  title="string-value" \
  publication_year=123 \
  venue="string-value"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.reviewer_publication_request import ReviewerPublicationRequest # (1)
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_publications_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewerPublicationRequest(
    title="string-value",
    publication_year=123,
    venue="string-value"
)
response = nested_reviewer_profile_publications_update.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewerPublicationRequest
  2. API Source: nested_reviewer_profile_publications_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
import { nestedReviewerProfilePublicationsUpdate } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfilePublicationsUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "title": "string-value",
    "publication_year": 123,
    "venue": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
uuid string (uuid)
Field Type Required Description
title string
doi string Digital Object Identifier
publication_year integer
venue string Journal or conference name
venue_type string
Enum: journal, conference, preprint, book, thesis, report, other
abstract string
coauthors any List of co-author names and identifiers
external_ids any External identifiers:
is_excluded_from_matching boolean User can exclude old papers from expertise matching

200 -

Field Type Description
uuid string (uuid)
title string
doi string Digital Object Identifier
publication_year integer
venue string Journal or conference name
venue_type string
Enum: journal, conference, preprint, book, thesis, report, other
abstract string
coauthors any List of co-author names and identifiers
external_ids any External identifiers:
is_excluded_from_matching boolean User can exclude old papers from expertise matching
created string (date-time)

Update

1
2
3
4
http \
  PUT \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.reviewer_profile_request import ReviewerProfileRequest # (1)
from waldur_api_client.api.reviewer_profiles import reviewer_profiles_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewerProfileRequest()
response = reviewer_profiles_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewerProfileRequest
  2. API Source: reviewer_profiles_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { reviewerProfilesUpdate } from 'waldur-js-client';

try {
  const response = await reviewerProfilesUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
available_for_reviews boolean Whether reviewer is currently accepting review requests

200 -

Field Type Description
url string (uri)
uuid string (uuid)
user string (uri)
user_uuid string (uuid)
user_full_name string
user_email string (email)
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
orcid_connected boolean Check if ORCID is connected (has access token).
orcid_last_sync string (date-time)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
affiliations array of objects
affiliations.uuid string (uuid)
affiliations.organization string (uuid)
affiliations.organization_name string Organization name (used when not linked to Waldur org)
affiliations.organization_name_display string Return organization name from linked Customer or from the text field.
affiliations.organization_identifier string ROR, GRID, or other external identifier
affiliations.department string
affiliations.position_title string
affiliations.start_date string (date)
affiliations.end_date string (date) Leave empty for current affiliation
affiliations.is_primary boolean
affiliations.affiliation_type string
Enum: employment, education, visiting, honorary, consulting
affiliations.created string (date-time)
expertise_set array of objects
expertise_set.uuid string (uuid)
expertise_set.expertise_keyword string Free-text keyword
expertise_set.expertise_category string (uuid)
expertise_set.expertise_category_name string
expertise_set.proficiency_level string
Enum: expert, familiar, basic
expertise_set.years_experience integer
expertise_set.last_active_date string (date) When last worked in this area
expertise_set.created string (date-time)
publications array of objects
publications.uuid string (uuid)
publications.title string
publications.doi string Digital Object Identifier
publications.publication_year integer
publications.venue string Journal or conference name
publications.venue_type string
Enum: journal, conference, preprint, book, thesis, report, other
publications.abstract string
publications.coauthors any List of co-author names and identifiers
publications.external_ids any External identifiers:
publications.is_excluded_from_matching boolean User can exclude old papers from expertise matching
publications.created string (date-time)
stats any
profile_completeness object (free-form) Calculate profile completeness percentage and missing fields.
is_published boolean Whether profile is discoverable by call managers
published_at string (date-time) When the profile was published
available_for_reviews boolean Whether reviewer is currently accepting review requests
created string (date-time)
modified string (date-time)

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/affiliations/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_reviewer_affiliation_request import PatchedReviewerAffiliationRequest # (1)
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_affiliations_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedReviewerAffiliationRequest()
response = nested_reviewer_profile_affiliations_partial_update.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedReviewerAffiliationRequest
  2. API Source: nested_reviewer_profile_affiliations_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { nestedReviewerProfileAffiliationsPartialUpdate } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfileAffiliationsPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
uuid string (uuid)
Field Type Required Description
organization string (uuid)
organization_name string Organization name (used when not linked to Waldur org)
organization_identifier string ROR, GRID, or other external identifier
department string
position_title string
start_date string (date)
end_date string (date) Leave empty for current affiliation
is_primary boolean
affiliation_type string
Enum: employment, education, visiting, honorary, consulting

200 -

Field Type Description
uuid string (uuid)
organization string (uuid)
organization_name string Organization name (used when not linked to Waldur org)
organization_name_display string Return organization name from linked Customer or from the text field.
organization_identifier string ROR, GRID, or other external identifier
department string
position_title string
start_date string (date)
end_date string (date) Leave empty for current affiliation
is_primary boolean
affiliation_type string
Enum: employment, education, visiting, honorary, consulting
created string (date-time)

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/expertise/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_reviewer_expertise_request import PatchedReviewerExpertiseRequest # (1)
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_expertise_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedReviewerExpertiseRequest()
response = nested_reviewer_profile_expertise_partial_update.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedReviewerExpertiseRequest
  2. API Source: nested_reviewer_profile_expertise_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { nestedReviewerProfileExpertisePartialUpdate } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfileExpertisePartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
uuid string (uuid)
Field Type Required Description
expertise_keyword string Free-text keyword
expertise_category string (uuid)
proficiency_level string
Enum: expert, familiar, basic
years_experience integer
last_active_date string (date) When last worked in this area

200 -

Field Type Description
uuid string (uuid)
expertise_keyword string Free-text keyword
expertise_category string (uuid)
expertise_category_name string
proficiency_level string
Enum: expert, familiar, basic
years_experience integer
last_active_date string (date) When last worked in this area
created string (date-time)

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/publications/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_reviewer_publication_request import PatchedReviewerPublicationRequest # (1)
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_publications_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedReviewerPublicationRequest()
response = nested_reviewer_profile_publications_partial_update.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedReviewerPublicationRequest
  2. API Source: nested_reviewer_profile_publications_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { nestedReviewerProfilePublicationsPartialUpdate } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfilePublicationsPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
uuid string (uuid)
Field Type Required Description
title string
doi string Digital Object Identifier
publication_year integer
venue string Journal or conference name
venue_type string
Enum: journal, conference, preprint, book, thesis, report, other
abstract string
coauthors any List of co-author names and identifiers
external_ids any External identifiers:
is_excluded_from_matching boolean User can exclude old papers from expertise matching

200 -

Field Type Description
uuid string (uuid)
title string
doi string Digital Object Identifier
publication_year integer
venue string Journal or conference name
venue_type string
Enum: journal, conference, preprint, book, thesis, report, other
abstract string
coauthors any List of co-author names and identifiers
external_ids any External identifiers:
is_excluded_from_matching boolean User can exclude old papers from expertise matching
created string (date-time)

Get or create reviewer profile for the current user

Get or create reviewer profile for the current user.

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/reviewer-profiles/me/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_reviewer_profile_create_request import PatchedReviewerProfileCreateRequest # (1)
from waldur_api_client.api.reviewer_profiles import reviewer_profiles_me_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedReviewerProfileCreateRequest()
response = reviewer_profiles_me_partial_update.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedReviewerProfileCreateRequest
  2. API Source: reviewer_profiles_me_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { reviewerProfilesMePartialUpdate } from 'waldur-js-client';

try {
  const response = await reviewerProfilesMePartialUpdate({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
available_for_reviews boolean Whether reviewer is currently accepting review requests

200 -

Field Type Description
url string (uri)
uuid string (uuid)
user string (uri)
user_uuid string (uuid)
user_full_name string
user_email string (email)
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
orcid_connected boolean Check if ORCID is connected (has access token).
orcid_last_sync string (date-time)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
affiliations array of objects
affiliations.uuid string (uuid)
affiliations.organization string (uuid)
affiliations.organization_name string Organization name (used when not linked to Waldur org)
affiliations.organization_name_display string Return organization name from linked Customer or from the text field.
affiliations.organization_identifier string ROR, GRID, or other external identifier
affiliations.department string
affiliations.position_title string
affiliations.start_date string (date)
affiliations.end_date string (date) Leave empty for current affiliation
affiliations.is_primary boolean
affiliations.affiliation_type string
Enum: employment, education, visiting, honorary, consulting
affiliations.created string (date-time)
expertise_set array of objects
expertise_set.uuid string (uuid)
expertise_set.expertise_keyword string Free-text keyword
expertise_set.expertise_category string (uuid)
expertise_set.expertise_category_name string
expertise_set.proficiency_level string
Enum: expert, familiar, basic
expertise_set.years_experience integer
expertise_set.last_active_date string (date) When last worked in this area
expertise_set.created string (date-time)
publications array of objects
publications.uuid string (uuid)
publications.title string
publications.doi string Digital Object Identifier
publications.publication_year integer
publications.venue string Journal or conference name
publications.venue_type string
Enum: journal, conference, preprint, book, thesis, report, other
publications.abstract string
publications.coauthors any List of co-author names and identifiers
publications.external_ids any External identifiers:
publications.is_excluded_from_matching boolean User can exclude old papers from expertise matching
publications.created string (date-time)
stats any
profile_completeness object (free-form) Calculate profile completeness percentage and missing fields.
is_published boolean Whether profile is discoverable by call managers
published_at string (date-time) When the profile was published
available_for_reviews boolean Whether reviewer is currently accepting review requests
created string (date-time)
modified string (date-time)

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_reviewer_profile_request import PatchedReviewerProfileRequest # (1)
from waldur_api_client.api.reviewer_profiles import reviewer_profiles_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedReviewerProfileRequest()
response = reviewer_profiles_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedReviewerProfileRequest
  2. API Source: reviewer_profiles_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { reviewerProfilesPartialUpdate } from 'waldur-js-client';

try {
  const response = await reviewerProfilesPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
available_for_reviews boolean Whether reviewer is currently accepting review requests

200 -

Field Type Description
url string (uri)
uuid string (uuid)
user string (uri)
user_uuid string (uuid)
user_full_name string
user_email string (email)
orcid_id string ORCID identifier (format: 0000-0000-0000-0000)
orcid_connected boolean Check if ORCID is connected (has access token).
orcid_last_sync string (date-time)
biography string Professional biography / summary
alternative_names any List of name variants used in publications
affiliations array of objects
affiliations.uuid string (uuid)
affiliations.organization string (uuid)
affiliations.organization_name string Organization name (used when not linked to Waldur org)
affiliations.organization_name_display string Return organization name from linked Customer or from the text field.
affiliations.organization_identifier string ROR, GRID, or other external identifier
affiliations.department string
affiliations.position_title string
affiliations.start_date string (date)
affiliations.end_date string (date) Leave empty for current affiliation
affiliations.is_primary boolean
affiliations.affiliation_type string
Enum: employment, education, visiting, honorary, consulting
affiliations.created string (date-time)
expertise_set array of objects
expertise_set.uuid string (uuid)
expertise_set.expertise_keyword string Free-text keyword
expertise_set.expertise_category string (uuid)
expertise_set.expertise_category_name string
expertise_set.proficiency_level string
Enum: expert, familiar, basic
expertise_set.years_experience integer
expertise_set.last_active_date string (date) When last worked in this area
expertise_set.created string (date-time)
publications array of objects
publications.uuid string (uuid)
publications.title string
publications.doi string Digital Object Identifier
publications.publication_year integer
publications.venue string Journal or conference name
publications.venue_type string
Enum: journal, conference, preprint, book, thesis, report, other
publications.abstract string
publications.coauthors any List of co-author names and identifiers
publications.external_ids any External identifiers:
publications.is_excluded_from_matching boolean User can exclude old papers from expertise matching
publications.created string (date-time)
stats any
profile_completeness object (free-form) Calculate profile completeness percentage and missing fields.
is_published boolean Whether profile is discoverable by call managers
published_at string (date-time) When the profile was published
available_for_reviews boolean Whether reviewer is currently accepting review requests
created string (date-time)
modified string (date-time)

Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/affiliations/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_affiliations_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = nested_reviewer_profile_affiliations_destroy.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: nested_reviewer_profile_affiliations_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { nestedReviewerProfileAffiliationsDestroy } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfileAffiliationsDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
uuid string (uuid)

204 - No response body


Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/expertise/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_expertise_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = nested_reviewer_profile_expertise_destroy.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: nested_reviewer_profile_expertise_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { nestedReviewerProfileExpertiseDestroy } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfileExpertiseDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
uuid string (uuid)

204 - No response body


Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/publications/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.reviewer_profiles import nested_reviewer_profile_publications_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = nested_reviewer_profile_publications_destroy.sync(
    reviewer_profile_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: nested_reviewer_profile_publications_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { nestedReviewerProfilePublicationsDestroy } from 'waldur-js-client';

try {
  const response = await nestedReviewerProfilePublicationsDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "reviewer_profile_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
reviewer_profile_uuid string UUID of the parent reviewer profile
uuid string (uuid)

204 - No response body


Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/reviewer-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.reviewer_profiles import reviewer_profiles_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = reviewer_profiles_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: reviewer_profiles_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { reviewerProfilesDestroy } from 'waldur-js-client';

try {
  const response = await reviewerProfilesDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body